<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Исходный файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/MainContextMenu.qml</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">MainContextMenu.qml</div>  </div>
</div><!--header-->
<div class="contents">
<a href="MainContextMenu_8qml.html">См. документацию.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keyword">import</span> QtQuick 2.0</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;import QtQuick.Controls 2.12</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;import QtQuick.Window 2.12</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;Window {</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    id: context_menu_window</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    width: context_menu.width</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    height: context_menu.height</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    opacity: 1</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    flags: Qt.FramelessWindowHint <span class="comment">//+ Qt.WindowStaysOnTopHint</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    color: <span class="stringliteral">&quot;transparent&quot;</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    onVisibleChanged: {</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        <span class="keywordflow">if</span> (context_menu_window.visible)</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;            context_menu.open()</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    }</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;   x: context_menu.x</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;   y: context_menu.y</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    Menu {</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        id: context_menu</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        font.pointSize: 10</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;       <span class="comment">/* background: Rectangle {</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment">            gradient: Gradient {</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="comment">                GradientStop {</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="comment">                    position: 0</span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment">                    color: &quot;#777EC4&quot;</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment">                }</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment">                GradientStop {</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="comment">                    position: 1</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment">                    color: &quot;#7652AC&quot;</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="comment">                }</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="comment">            }</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="comment">            implicitWidth: 200</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="comment">            implicitHeight: 50</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="comment">            opacity: enabled ? 1 : 0.3</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="comment">            border.color: &quot;white&quot;</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="comment">            border.width: 3</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="comment">            radius: 15</span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="comment">        }*/</span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; </div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        MenuItem {</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;            text: qsTr(<span class="stringliteral">&quot;Choose character&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;            onClicked: {</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160; </div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;                context_menu_window.close()</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160; </div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;                <span class="comment">// передаем сигнал окну выбора персонажей о том, что передаем ему управление</span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;                <span class="comment">//showImageSelectWindow()</span></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160; </div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;                visibleGeneralWindow = <span class="keyword">true</span></div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;                showImageSelectWindow()</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;                <span class="comment">// ставим окну выбора персонажей флаг видимости true</span></div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;                <span class="comment">//visibleImageSelectWindow = true</span></div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160; </div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;                <span class="comment">//loader.active = true // нужно, чтобы снова загрузить окно</span></div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160; </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;                <span class="comment">// вставляем наш компонент в Loader и если active == true начинается загрузка компонента</span></div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;                <span class="comment">//loader.sourceComponent = imageSelectWindowComponent</span></div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;                <span class="comment">//selectWindow.visible = true</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;                <span class="comment">//imageSelectionMenuLoad.source = &quot;ImageSelectionMenu.qml&quot;//selectWindow.show()</span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160; </div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;            }</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        }</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        MenuItem {</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;            text: qsTr(<span class="stringliteral">&quot;Add a commands&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;            onClicked: {</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160; </div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;                context_menu_window.close()</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;                <span class="comment">// передаем сигнал окну выбора персонажей о том, что передаем ему управление</span></div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;                visibleGeneralWindow = <span class="keyword">true</span></div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;                showCommandWindow()</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160; </div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;                <span class="comment">// ставим окну выбора персонажей флаг видимости true</span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;                <span class="comment">//visibleCommandWindow = true</span></div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;                <span class="comment">//commandWindowLoader.active = true // нужно, чтобы снова загрузить окно</span></div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160; </div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;                <span class="comment">// вставляем наш компонент в Loader и если active == true начинается загрузка компонента</span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;                <span class="comment">//commandWindowLoader.sourceComponent = commandWindowComponent</span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;                <span class="comment">//selectWindow.visible = true</span></div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;                <span class="comment">//imageSelectionMenuLoad.source = &quot;ImageSelectionMenu.qml&quot;//selectWindow.show()</span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160; </div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;            }</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        }</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        MenuItem {</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;            text: qsTr(<span class="stringliteral">&quot;Create a reminder&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;            onTriggered: {</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;                context_menu_window.close()</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160; </div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;                visibleGeneralWindow = <span class="keyword">true</span></div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;                showReminderWindow()</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;                <span class="comment">//visibleReminderWindow = true</span></div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;                <span class="comment">//reminderWindowLoader.sourceComponent = reminderWindowComponent</span></div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160; </div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;            }</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;        }</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;        MenuItem {</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;            text: qsTr(<span class="stringliteral">&quot;Add a node&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;            onTriggered: {</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;                context_menu_window.close()</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160; </div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;                visibleGeneralWindow = <span class="keyword">true</span></div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;                showNodesWindow()</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;                <span class="comment">//visibleReminderWindow = true</span></div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;                <span class="comment">//reminderWindowLoader.sourceComponent = reminderWindowComponent</span></div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160; </div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;            }</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;        }</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;        MenuItem {</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;            text: qsTr(<span class="stringliteral">&quot;Settings&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;            onTriggered: {</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;                context_menu_window.close()</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160; </div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;                visibleGeneralWindow = <span class="keyword">true</span></div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;                showSettingsWindow()</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;                <span class="comment">//visibleSettingsWindow = true</span></div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;                <span class="comment">//settingsWindowLoader.sourceComponent = settingsWindowComponent</span></div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;            }</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160; </div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;        }</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;        MenuItem {</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;            id:mtt</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;            text: qsTr(<span class="stringliteral">&quot;Minimize to tray&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;            onTriggered: {</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;                context_menu_window.close()</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160; </div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;                mainWindow.hideWindow()</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;                tray.visible = <span class="keyword">true</span></div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;                mainWindow.flags -= Qt.Window</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;            }</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;            <span class="comment">//visible: settings.getTrayMode()</span></div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;            height: (settings.getTrayMode()) ? close.height : 0</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;        }</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160; </div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;        MenuItem {</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;            id: close</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;            text: qsTr(<span class="stringliteral">&quot;Exit&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;            onTriggered: {</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;                <span class="comment">//if (!settings.getTrayMode())</span></div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;                    mainWindow.close()</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;                <span class="comment">/*else</span></div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;<span class="comment">                {</span></div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;<span class="comment">                    mainWindow.hideWindow()</span></div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;<span class="comment">                    tray.visible = true</span></div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;<span class="comment">                }*/</span></div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;            }</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160; </div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;        }</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160; </div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;        Connections {</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;            target: settings</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160; </div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;            onTrayModeChanged: {</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;                <span class="comment">//mtt.visible = settings.getTrayMode()</span></div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;                var newHeight = (settings.getTrayMode()) ? close.height : 0</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;                if (mtt.height !== newHeight)</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;                {</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;                    mtt.height = newHeight</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;                    context_menu_window.height += (settings.getTrayMode()) ? close.height : -close.height</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;                    context_menu_window.update()</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;                }</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;            }</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;        }</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;    }</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;}</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassMainContextMenu_html"><div class="ttname"><a href="classMainContextMenu.html">MainContextMenu</a></div><div class="ttdoc">Конкекстное меню в виде окна</div><div class="ttdef"><b>Definition:</b> <a href="MainContextMenu_8qml_source.html#l00014">MainContextMenu.qml:14</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
